#include <unistd.h> /* getopt */
#include <gtk/gtk.h>
#include <libxml/parser.h>

gchar *defaultOptionFile=".gworldclock";
gchar *defaultConfigFilename=".tzlist";
gchar *defaultTimeDisplayFormat = "%c";

void GetOptions( int argc, char **argv )
{
  extern GString *configfile, *displayFormat;
  int c;
  xmlDocPtr optionXML;
  GString *temp;


  /* set defaults */
  configfile = g_string_new(g_strdup((gchar *) getenv("HOME")));  
  g_string_append(configfile,"/");
  g_string_append(configfile,defaultConfigFilename);

  displayFormat = g_string_new( g_strdup( defaultTimeDisplayFormat ) );


 /* read configuration options from file */
/****** WORK IN PROGRESS *************
  optionFile = g_string_new(g_strdup((gchar *) getenv("HOME")));  
  g_string_append(optionFile,"/");
  g_string_append(optionFile,defaultOptionFile);
  optionXML = xmlParseFile( optionFile->str );
  if ( optionXML!=NULL )
  {
     temp = getTimeDisplayFormat(optionXML);
     if ( temp != NULL ) 
     {
	g_string_free( displayFormat );
	displayFormat = temp;
     }
  }
**************************************/

  /* set command line options */
  while ((c = getopt (argc, argv, "f:")) != -1)
     switch (c) 
     {
	case 'f':
	   configfile = g_string_new(g_strdup((gchar *)optarg));  
	   break;
	   
	default:
	break;
     }
}
